Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1056046 - file conflicts prevent gnucash-docs upgrade
Summary: file conflicts prevent gnucash-docs upgrade
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnucash-docs
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-21 13:16 UTC by Jonathan Kamens
Modified: 2014-03-17 03:34 UTC (History)
10 users (show)

Fixed In Version: gnucash-docs-2.6.0-2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-25 02:24:38 UTC


Attachments (Terms of Use)

Description Jonathan Kamens 2014-01-21 13:16:10 UTC
file /usr/share/gnome/help/gnucash-guide from install of gnucash-docs-2.6.0-1.fc20.noarch conflicts with file from package gnucash-docs-2.4.2-2.fc20.noarch
  file /usr/share/gnome/help/gnucash-help from install of gnucash-docs-2.6.0-1.fc20.noarch conflicts with file from package gnucash-docs-2.4.2-2.fc20.noarch

Comment 1 J. Randall Owens 2014-01-21 15:15:49 UTC
I don't get it. Before the above error messages, I do see:

--> Running transaction check
---> Package gnucash.x86_64 0:2.4.13-5.fc20 will be updated
---> Package gnucash.x86_64 0:2.6.0-2.fc20 will be an update
---> Package gnucash-docs.noarch 0:2.4.2-2.fc20 will be updated
---> Package gnucash-docs.noarch 0:2.6.0-1.fc20 will be an update
--> Finished Dependency Resolution

So why would it list a file conflict with one getting updated? Could this possibly be a bug in yum, rather than gnucash-docs itself?

Comment 2 J. Randall Owens 2014-01-21 15:21:17 UTC
Probably relevant to the root problem is that those two files listed are symlinks (to subdirectory gnucash in the same directory). I still don't see why, but that does somewhat explain why these two in particular.

Comment 3 Jonathan Kamens 2014-01-21 15:53:23 UTC
Try updating from 2.4.2-2.fc20

Comment 4 Jonathan Kamens 2014-01-21 15:56:53 UTC
Also, probably relevant to this issue, somehow my other computer has gotten into a weird state such that I see this every time I try to yum reinstall gnucash gnucash-docs:

  Installing : gnucash-2.6.0-2.fc20.x86_64                                  1/2 
warning: %post(gnucash-2.6.0-2.fc20.x86_64) scriptlet failed, exit status 127
Non-fatal POSTIN scriptlet failure in rpm package gnucash-2.6.0-2.fc20.x86_64
  Installing : gnucash-docs-2.6.0-1.fc20.noarch                             2/2 
warning: %posttrans(gnucash-2.6.0-2.fc20.x86_64) scriptlet failed, exit status 127
Non-fatal POSTTRANS scriptlet failure in rpm package gnucash-2.6.0-2.fc20.x86_64

Not good.

Comment 5 J. Randall Owens 2014-01-21 15:58:54 UTC
Sorry, I didn't mean I don't get what the problem is (after all, "gnucash-docs.noarch 0:2.4.2-2.fc20 will be updated", and then I get the same error messages as your initial report). I meant I don't get why or how it's happening.

Comment 6 Jonathan Kamens 2014-01-21 15:59:42 UTC
Actually, something very strange is going on, I'm getting POSTIN and PREIN errors from just about every package I update.

Comment 7 J. Randall Owens 2014-01-21 16:02:31 UTC
Regarding the scriptlets, have you caught up from the selinux-policy bug? If you have 3.12.1-116.fc20, you need to do some trickier stuff to get cleaned up from that.
Bug #1054350
https://fedoraproject.org/wiki/Common_F20_bugs#RPM_scriptlets_fail_during_updates

Comment 8 Jonathan Kamens 2014-01-21 18:23:10 UTC
Yeah, I figured that out, thanks.

Yet another reason to disable selinux. :-(

Comment 9 Michael Schwendt 2014-01-21 18:54:49 UTC
> I meant I don't get why or how it's happening.

RPM doesn't support replacing softlinks with directories or vice versa. As a last resort, you could work around it using trigger scriptlets.

$ rpmls -p gnucash-docs-2.4.2-2.fc20.noarch.rpm |grep ^l
lrwxrwxrwx  /usr/share/gnome/help/gnucash-guide
lrwxrwxrwx  /usr/share/gnome/help/gnucash-help
$ rpmls -p gnucash-docs-2.4.2-2.fc20.noarch.rpm |grep ^d
drwxr-xr-x  /usr/share/doc/gnucash-docs
drwxr-xr-x  /usr/share/gnome/help/gnucash
drwxr-xr-x  /usr/share/gnome/help/gnucash/C
drwxr-xr-x  /usr/share/gnome/help/gnucash/C/figures
drwxr-xr-x  /usr/share/gnome/help/gnucash/de_DE
drwxr-xr-x  /usr/share/gnome/help/gnucash/de_DE/figures
drwxr-xr-x  /usr/share/gnome/help/gnucash/it_IT
drwxr-xr-x  /usr/share/gnome/help/gnucash/it_IT/figures
drwxr-xr-x  /usr/share/gnome/help/gnucash/ja_JP
drwxr-xr-x  /usr/share/gnome/help/gnucash/ja_JP/figures

$ rpmls -p gnucash-docs-2.6.0-1.fc20.noarch.rpm |grep ^l
$ rpmls -p gnucash-docs-2.6.0-1.fc20.noarch.rpm |grep ^d
drwxr-xr-x  /usr/share/doc/gnucash-docs
drwxr-xr-x  /usr/share/gnome/help/gnucash-guide
drwxr-xr-x  /usr/share/gnome/help/gnucash-guide/C
drwxr-xr-x  /usr/share/gnome/help/gnucash-guide/C/figures
drwxr-xr-x  /usr/share/gnome/help/gnucash-guide/de
drwxr-xr-x  /usr/share/gnome/help/gnucash-guide/de/figures
drwxr-xr-x  /usr/share/gnome/help/gnucash-guide/it
drwxr-xr-x  /usr/share/gnome/help/gnucash-guide/it/figures
drwxr-xr-x  /usr/share/gnome/help/gnucash-guide/ja
drwxr-xr-x  /usr/share/gnome/help/gnucash-guide/ja/figures
drwxr-xr-x  /usr/share/gnome/help/gnucash-help
drwxr-xr-x  /usr/share/gnome/help/gnucash-help/C
drwxr-xr-x  /usr/share/gnome/help/gnucash-help/C/figures
drwxr-xr-x  /usr/share/gnome/help/gnucash-help/de
drwxr-xr-x  /usr/share/gnome/help/gnucash-help/de/figures
drwxr-xr-x  /usr/share/gnome/help/gnucash-help/it
drwxr-xr-x  /usr/share/gnome/help/gnucash-help/it/figures

Comment 10 Michael Schwendt 2014-01-21 18:58:35 UTC
bug 447156 [rpm cannot change directory to symlink (or the other way around)]

Comment 11 Fedora Update System 2014-01-22 01:21:24 UTC
gnucash-docs-2.6.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gnucash-docs-2.6.0-2.fc20

Comment 12 John Florian 2014-01-22 13:29:03 UTC
I get the file conflicts too, on numerous hosts ...

Transaction check error:
  file /usr/share/gnome/help/gnucash-guide from install of gnucash-docs-2.6.0-1.fc20.noarch conflicts with file from package gnucash-docs-2.4.2-2.fc20.noarch
  file /usr/share/gnome/help/gnucash-help from install of gnucash-docs-2.6.0-1.fc20.noarch conflicts with file from package gnucash-docs-2.4.2-2.fc20.noarch


I already have selinux-policy-3.12.1-117.fc20.noarch installed so that shouldn't be the problem, right?  Or is it because my yum-cron setup tried to update gnucash (and failed) prior to getting the corrected SEL policy?

My workaround has been:

$ sudo yum remove gnucash\*
$ sudo yum install gnucash gnucash-docs

Comment 13 Michael Schwendt 2014-01-22 14:03:37 UTC
> that shouldn't be the problem, right?

Correct. It's unrelated to the selinux-policy bug. See comment 9.

Comment 14 John Florian 2014-01-22 14:10:01 UTC
> Correct. It's unrelated to the selinux-policy bug. See comment 9.

Ok, I skimmed that one too fast.  So this is simply a packaging bug with gnucash.  Thanks for the clarification Michael.

Comment 15 Fedora Update System 2014-01-22 23:08:34 UTC
Package gnucash-docs-2.6.0-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnucash-docs-2.6.0-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-1332/gnucash-docs-2.6.0-2.fc20
then log in and leave karma (feedback).

Comment 16 Fedora Update System 2014-01-25 02:24:38 UTC
gnucash-docs-2.6.0-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.